reportOccurrence

POST /v1/risk/disputes/reportOccurence

Use this API to report the dispute information to Antom Risk team when a dispute occurs.

Request parameters

referenceTransactionId String  REQUIRED

The unique ID to identify a transaction.

More information:

  • Maximum length: 64 characters

disputeId String  REQUIRED

The unique ID received from the gateway/acquirer to identify a dispute.

More information:

  • Maximum length: 64 characters

disputeTime Datetime  REQUIRED

The date and time when the dispute is created.

More information:

  • The value follows the ISO 8601 standard format. For example, "2019-11-27T12:01:01+08:00".

disputeAmount Amount  REQUIRED

The amount of the transaction which has a dispute.

Show child parameters

disputeReasonCode String  REQUIRED

The reason code received from the acquirer indicating why a payment is disputed.

More information:

  • Maximum length: 16 characters

disputeReasonMsg String  

The dispute reason description received from the acquirer.

More information:

  • Maximum length: 256 characters

defenseDueTime Datetime  

The due time after which you cannot defend the dispute.

More information:

  • The value follows the ISO 8601 standard format. For example, "2019-11-27T12:01:01+08:00".

cardBrand String  

The name of the card brand. For details, see Card brands.

More information:

  • Maximum length: 64 characters

issuingRegion String  

The issuing country or region of the card.

More information:

  • Maximum length: 16 characters

fulfillments List<Fulfillments>  REQUIRED

Tangible goods details regarding the fulfillment of the item, including shipping information.

Show child parameters

Response parameters

result Result  REQUIRED

The result of the API call.

Show child parameters

defenseType String  REQUIRED

Defense sevrice type of Antom. Valid value are:

  • PREMIUM: indicates Antom provides dispute evidence.
  • STANDARD: indicates Antom provides query and feedback service on portal and you prepare dispute evidence.

More information:

  • Maximum length: 32 characters
API Explorer
Sample CodesRun in Sandbox

Request

URL
Method
POST
Request Body

Response

Response Body

Result/Error codes

CodeValueMessageFurther action
SUCCESSSSuccess
PARAM_ILLEGALFThe required parameters are not passed, or illegal parameters exist. For example, a non-numeric input, an invalid date, or the length and type of the parameter are wrong.

Check and verify whether the required request fields (including the header fields and body fields) of the current API are correctly passed and valid.

SYSTEM_ERRORFA system error occurred.

Do not retry, and contact Antom Technical Support for more details.